/*                  Part of x2grbl
 *
 *  Copyright Johann Wilhelm <johann.wilhelm@9mal6.de> 2015
 *
 *  see Readme.md for detailed license and usage information!
*/
#ifndef LOADEAGLEBOARDDIALOG_H
#define LOADEAGLEBOARDDIALOG_H

#include <QDialog>
#include "eaglebrdparser.h"

namespace Ui {
class LoadEagleBoardDialog;
}

class LoadEagleBoardDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit LoadEagleBoardDialog(EagleBrdParser *Parser, QWidget *parent = 0);
    ~LoadEagleBoardDialog();

    virtual void accept();
    
private slots:
    void on_splitter_splitterMoved(int pos, int index);

private:
    Ui::LoadEagleBoardDialog *ui;
};

#endif // LOADEAGLEBOARDDIALOG_H
